import request from 'request-promise'

const key = '' // API キー
const prompt = '' // 指示文章

const init = async () => {
  try {
    const execution = await request('https://api.developer.alt.ai/lhtm-2/execution', {
      method: 'POST',
      json: true,
      qs: {
        key
      },
      json: {
        prompt
      }
    })

    const { executionArn } = execution

    let timer = null
    timer = setInterval(async () => {
      const res = await request('https://api.developer.alt.ai/lhtm-2/execution/status', {
        json: true,
        method: 'POST',
        json: {
          executionArn
        }
      })

      const { result, status } = res

      if (status == 'SUCCEEDED') {
        clearInterval(timer);
        console.log(result)
      }
    }, 2000);
  } catch (e) {
    console.log(e)
  }
}

init()